Автор Тема: Metro 2033 пишет, что не найден OpenGL 4.0 or later  (Прочитано 3129 раз)

Оффлайн Maxik

  • Давно тут
  • **
  • Сообщений: 247
    • Вегетарианское сообщество сурового климата.
    • Email
Приветствую!
Metro 2033 Redux выдает сообщение о том, что не найден OpenGL 4.0 or later.
Поустановил из Synaptic разные, подходящие по смыслу названий, нужные файлы по поиску opengl.
Но игра так и не запускается.NVIDIA X Server Settings пишет, что нужно запустить nvidia-xconfig. Но в системе такого нет.
Настройки для Nvidia тоже почему-то не работают.
Система Alt Server 8.
С уважением, Максим.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 553
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Это под wine игра запускается?
что нужно запустить nvidia-xconfig. Но в системе такого нет.
Можно установить соответствующий пакет:

https://packages.altlinux.org/en/p8/srpms/nvidia-xconfig

Но если это wine, то не хватает 32-битных пакетов или драйверов.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 738
    • Домашняя страница
    • Email
Не факт, что карточка держит OpenGL 4.0 (см. вывод glxinfo). У меня, к примеру, не работает на старой nvidia.
Андрей Черепанов (cas@)

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 807
Приветствую!
Metro 2033 Redux выдает сообщение о том, что не найден OpenGL 4.0 or later.
Поустановил из Synaptic разные, подходящие по смыслу названий, нужные файлы по поиску opengl.
Но игра так и не запускается.


http://store.steampowered.com/app/286690/Metro_2033_Redux/
Цитировать
Системные требования
SteamOS + Linux

    Минимальные:
        ОС: 64-bit Ubuntu 12.04 or 14.04 or Steam OS
        Процессор: Intel Core i5 2.7 GHz (or equivalent AMD)
        Оперативная память: 4 GB ОЗУ
        Видеокарта: NVIDIA Geforce 460 / AMD 5850 with 2GB VRAM
        Место на диске: 10 GB


https://en.wikipedia.org/wiki/GeForce_400_series
The GF100, the first Fermi-architecture product, is large: 512 stream processors, in sixteen groups of 32, and 3.0 billion transistors, manufactured by TSMC in a 40 nm process. It is Nvidia's first chip to support OpenGL 4.0 and Direct3D 11.
GeForce GTX 465    May 31, 2010    GF100
GeForce GTX 470    March 26, 2010    GF100
GeForce GTX 480    March 26, 2010    GF100



Цитировать
Системные требования
SteamOS + Linux

    Минимальные:
    ...
        Дополнительно: Due to OpenGL 4, Intel video cards no longer supported

Однако для Intel, несмотря на поддержку процессорами

https://www.intel.com/content/www/us/en/support/graphics-drivers/000005524.html
Last Reviewed: 21-Sep-2017
Article ID: 000005524

Select your processor generation from the list below. The tables specify the highest version of the API supported. The version listed indicates support for all previous versions of the API.
For the best compatibility with applications and games, use the Intel® Driver & Support Assistant or go to Download Center for the latest Intel® Graphics Drivers.

7th Generation Intel® Core™ Processors
With Intel® HD Graphics 620, 615
OpenGL*  4.5

With Intel® HD Graphics 505, 500
OpenGL*  4.2

6th Generation Intel® Core™ Processors
With Intel® HD Graphics 530, 520, 515
OpenGL*  4.5

5th Generation Intel® Core™ Processors
With Intel® HD Graphics 6000, 5500
OpenGL*  4.4

Intel® Core™ M Processors
With Intel® HD Graphics 515, 5300
OpenGL*  4.4

4th Generation Intel® Core™ Processors
With Intel® HD Graphics 5000, 4600, 4400, 4200
OpenGL*  4

3rd Generation Intel® Core™ Processors
With Intel® HD Graphics 4000, 2500
OpenGL*  4


ситуация несколько иная
$ glxgears -info | grep ^GL_ | grep -v EXT
GL_RENDERER   = Mesa DRI Intel(R) HD Graphics 5500 (Broadwell GT2) x86/MMX/SSE2
GL_VERSION    = 3.0 Mesa 17.1.10
GL_VENDOR     = Intel Open Source Technology Center

https://www.mesa3d.org/relnotes/17.1.10.html
Mesa 17.1.10 Примечания к выпуску / 25 сентября 2017 года

Mesa 17.1.10 - релиз исправления ошибок, который исправляет ошибки, обнаруженные с момента выпуска 17.1.9.

Mesa 17.1.10 реализует API OpenGL 4.5, но версия, описываемая glGetString (GL_VERSION) или glGetIntegerv (GL_MAJOR_VERSION) / glGetIntegerv (GL_MINOR_VERSION), зависит от конкретного используемого драйвера. Некоторые драйверы не поддерживают все функции, требуемые в OpenGL 4.5. OpenGL 4.5 доступен только при запросе при создании контекста, потому что контексты совместимости не поддерживаются.


Т.е. ноутбук Lenovo G50-80 с процессором пятой генерации и Линукс на борту, по графике глухо застрял в 2008-ом году:
OpenGL 3.0 (2008)
« Последнее редактирование: 09.10.2017 10:44:36 от Speccyfighter »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 807
Приветствую!
Metro 2033 Redux выдает сообщение о том, что не найден OpenGL 4.0 or later.

Тут:
Поддержка версии OpenGL видеокартами nVidia
Коротко, поддержка OpenGL 4.x:
Видеокарты от GeForce 400 серии и более новые.
« Последнее редактирование: 09.10.2017 13:22:28 от Speccyfighter »